Prerequisites

To install HiFlow3, make sure to meet the following requirements.

Compiler

Compilation has successfully been tested with

  • GCC >= 4.6
  • Intel >= 11

Moreover, any C++11 compliant compiler should work.

CMake

For the build configuration, CMake >= 2.8.2 is required. You might also like to use the CMake curses text user interface.

 

MPI

HiFlow3 is parallelized for distributed memory machines with MPI. Only MPI-1 functionality is needed. It has been successfully used with

Moreover, any standards compliant MPI implementation should work.

 

Doxygen (optional)

The generation of the source code documentation is an optional step in the installation.Doxygen is required in this case. To generate also graphs of the class dependecies, graphviz is required in addition.

 

VTK Viewer (optional)

HiFlow3 can generate VTK data for the visualization of simulation results. Any VTK viewer, e.g. Paraview, should work to visualize results.

 

Other options

There are several further compilation options which can be activated in the CMake build configuration: